#if 0
#ifndef JES_GUI_H
#define JES_GUI_H

#include "Ref.h"
#include <SDL.h>
#include "FontManager.h"
#include "GLProgram.h"
#include "GLBuffer.h"

class GUI
{
public:
    enum
    {
        PROGRAM_TEXT,
        PROGRAM_BASIC,
        PROGRAM_RECT,
        PROGRAM_COUNT,
    };
    bool load();
    int run();
protected:
    bool load_shaders();
    bool load_buffers();
    void resize();
    void draw();
    void draw_rect(int x, int y, int width, int height, float r, float g, float b, float a);

    SDL_Window * m_window;
    FontManagerRef m_font_manager;
    GLProgramRef m_programs[PROGRAM_COUNT];
    GLBufferRef m_rect_vbo;
};

typedef Ref<GUI> GUIRef;

#endif
#endif
